目次
索引 🔎︎

# Partition Function [VBA]

Returns a string indicating where a number occurs within a calculated series of ranges.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

Partition( Number, Start, End, Interval)

### Return value:

String

### Parameters:

Number: Required. The number to determine the partition.

Start: Required. An integer number defining the lower value of the range of numbers.

End: Required. An integer number defining the highest value of the range.

Interval: Required. An integer number that specifies the size of the partitions within the range of numbers (between Start and End).

### Example:

            Option VBASupport 1
            Option Explicit
            Sub Test_Partition
                Dim retStr As String
                retStr = Partition(20, 0, 98, 5)
                print "20:24  the number 20 occurs in the range: " & retStr
                retStr = Partition(20, 0, 99, 1)
                print " 20: 20 the number 20 occurs in the range: " & retStr
                retStr = Partition(120, 0, 99, 5)
                print  "100:  the number 120 occurs in the range: " & retStr
                retStr = Partition(-5, 0, 99, 5)
                print "   : -1 the number -5 occurs in the range: " & retStr
                retStr = Partition(2, 0, 5, 2)
                print " 2: 3 the number 2 occurs in the range: " & retStr
            End Sub

関連項目

VBA Mathematical functions